package nl.quintor.commons.validator;

import nl.quintor.commons.util.ValidatorUtils;

/**
 * Validator for postal code verification for the JSF validation framework.
 * 
 * @see ValidatorUtils#validatePostcode(String)
 * @see AbstractValidator
 */
public class PostalcodeValidator extends AbstractValidator {
	/**
	 * Constructor; sets a default value name for logging purposes.
	 */
	public PostalcodeValidator() {
		super("Postcode");
	}

	/*
	 * (non-Javadoc)
	 * @see nl.achmea.avero.commons.validator.AbstractValidator#validate(java.lang.Object)
	 */
	protected String validate(final Object value) {
		return ValidatorUtils.validatePostcode((String) value);
	}
}